Package Details: azpainter 2.1.7-1

Git Clone URL: https://aur.archlinux.org/azpainter.git (read-only, click to copy)
Package Base: azpainter
Description: Painting software
Upstream URL: http://azsky2.html.xdomain.jp/soft/azpainter.html
Licenses: GPL3
Submitter: sirocco
Maintainer: sirocco
Last Packager: sirocco
Votes: 10
Popularity: 0.38
First Submitted: 2017-03-06 11:33
Last Updated: 2021-01-21 06:36

Latest Comments

1 2 Next › Last »

tattsan commented on 2021-01-18 05:39

Sorry for bothering you. I checked every option in /etc/makepkg.conf, and found the cause was distcc flag in BUILDENV.

-BUILDENV=(!distcc color !ccache check !sign)
+BUILDENV=(distcc color !ccache check !sign)

I disabled distcc temporarily, and could build the app.

sirocco commented on 2021-01-18 04:21

$ grep OPT /etc/makepkg.conf
# GLOBAL PACKAGE OPTIONS
# Default: OPTIONS=(!strip docs libtool staticlibs emptydirs !zipman !purge !debug)
OPTIONS=(strip docs !libtool !staticlibs emptydirs zipman purge !debug)
diff -s /etc/makepkg.conf /etc/makepkg.conf.pacnew 
Files /etc/makepkg.conf and /etc/makepkg.conf.pacnew are identical

Also builds without problems with MAKEFLAGS="-j2".

It probably makes sense to check options=(!makeflags) in PKGBUILD.

tattsan commented on 2021-01-16 04:01

Same error here. If I build it manually without makepkg, no such error occurs, so this seems to be an issue of makepkg. @sirocco , can you please show us your OPTIONS array in /etc/makepkg.conf?

sirocco commented on 2021-01-06 10:56

No ideas. I am able to build azpainter on two different systems.

nesk_aur commented on 2021-01-06 07:49

Exact same error after reinstalling libpng.

nesk_aur commented on 2021-01-06 07:49

Exact same error with make -j1. I'm building with plain makepkg.

sirocco commented on 2021-01-06 00:48

There may be some race conditions. Or try reinstalling libpng.

Are you building with some aur helper?

nesk_aur commented on 2021-01-05 19:59

What would make jobs have to do with lib deps?

sirocco commented on 2021-01-05 13:48

Try, pliz, uncomment line

# make -j1

in the PKGBUILD and comment out line

make

nesk_aur commented on 2021-01-05 10:27

> sudo pacman -S base-devel --needed
warning: pacman-5.2.2-1.parabola1 is up to date -- skipping
warning: autoconf-2.70-1 is up to date -- skipping
warning: automake-1.16.2-3 is up to date -- skipping
warning: binutils-2.35.1-1 is up to date -- skipping
warning: bison-3.7.2-1 is up to date -- skipping
warning: fakeroot-1.25.3-1 is up to date -- skipping
warning: file-5.39-1 is up to date -- skipping
warning: findutils-4.7.0-2 is up to date -- skipping
warning: flex-2.6.4-3 is up to date -- skipping
warning: gawk-5.1.0-1 is up to date -- skipping
warning: gcc-10.2.0-4 is up to date -- skipping
warning: gettext-0.21-1 is up to date -- skipping
warning: grep-3.6-1 is up to date -- skipping
warning: groff-1.22.4-3 is up to date -- skipping
warning: gzip-1.10-3 is up to date -- skipping
warning: libtool-2.4.6+42+gb88cebd5-14 is up to date -- skipping
warning: m4-1.4.18-3 is up to date -- skipping
warning: make-4.3-3 is up to date -- skipping
warning: patch-2.7.6-8 is up to date -- skipping
warning: pkgconf-1.7.3-1 is up to date -- skipping
warning: sed-4.8-1 is up to date -- skipping
warning: sudo-1.9.4.p2-2 is up to date -- skipping
warning: texinfo-6.7-3 is up to date -- skipping
warning: which-2.21-5 is up to date -- skipping
 there is nothing to do